/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

import request from '@/router/axios'

export function getForecastManufactor(query) {
  return request({
    url: '/forecastmanufactor/page',
    method: 'get',
    data: query
  })
}

export function getStation() {
  return request({
    url: '/electricfield/all',
    method: 'get'
  })
}

export function getCapacity(obj) {
  return request({
    url: '/electricfield/getByStationCode',
    method: 'post',
    data: obj
  })
}

export function getUltraShortDataHisPage(query) {
  return request({
    url: '/forecastpowerultrashorttermhis/page',
    method: 'get',
    params: query
  })
}

export function getUltraShortDataHis(obj) {
  return request({
    url: '/forecastpowerultrashorttermhis/getUltraShortDataHis',
    method: 'post',
    data: obj
  })
}

export function getShortData(obj) {
  return request({
    url: '/forecastpowershortterm/getShortData',
    method: 'post',
    data: obj
  })
}

export function getPowerStationStatusData(obj) {
  return request({
    url: '/powerstationstatusdata/getPowerStationStatusData',
    method: 'post',
    data: obj
  })
}

export function getCompositeData(obj) {
  return request({
    url: '/powerstationstatusdata/getCompositeData',
    method: 'post',
    data: obj
  })
}

export function getTimeStamp(obj) {
  return request({
    url: '/powerstationstatusdata/getTimeStamp',
    method: 'post',
    data: obj
  })
}

export function addObj(obj) {
  return request({
    url: '/forecastpowerultrashortterm',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/forecastpowerultrashortterm/' + id,
    method: 'get'
  })
}

export function delObj(id) {
  return request({
    url: '/forecastpowerultrashortterm/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/forecastpowerultrashortterm',
    method: 'put',
    data: obj
  })
}
